Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.visualizers
Class Sample

    java.lang.Object
      org.apache.jmeter.visualizers.Sample

All Implemented Interfaces:
  Comparable, Serializable

public class Sample
extends Object
implements Serializable, Comparable

See Also:
  Serialized Form

Constructor Summary
`Sample()`
`Sample(long data)`
`Sample(long data, long average, long deviation, double throughput, long median, boolean success)`
`Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime)`
`Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime, int bytes)`
`Sample(String name, long data, long average, long deviation, long median, long distributionLine, double throughput, long errorCount, boolean success, long num, long endTime, int bytes, String threadName)`

Method Summary
`int` | `compareTo(Object o)`
`long` | `getAverage()`
`int` | `getBytes()`
`long` | `getCount()`
`long` | `getData()`
`long` | `getDeviation()`
`long` | `getDistributionLine()`
`long` | `getEndTime()`
`long` | `getErrorCount()`
`String` | `getLabel()`
`long` | `getMedian()`
`long` | `getStartTime()`
`String` | `getStartTimeFormatted(Format format)`
`String` | `getThreadName()`
`double` | `getThroughput()`
`boolean` | `isSuccess()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sample

    public Sample(long data,
                  long average,
                  long deviation,
                  double throughput,
                  long median,
                  boolean success)

### Sample

    public Sample(long data)

### Sample

    public Sample(String name,
                  long data,
                  long average,
                  long deviation,
                  long median,
                  long distributionLine,
                  double throughput,
                  long errorCount,
                  boolean success,
                  long num,
                  long endTime)

### Sample

    public Sample(String name,
                  long data,
                  long average,
                  long deviation,
                  long median,
                  long distributionLine,
                  double throughput,
                  long errorCount,
                  boolean success,
                  long num,
                  long endTime,
                  int bytes)

### Sample

    public Sample(String name,
                  long data,
                  long average,
                  long deviation,
                  long median,
                  long distributionLine,
                  double throughput,
                  long errorCount,
                  boolean success,
                  long num,
                  long endTime,
                  int bytes,
                  String threadName)

### Sample

    public Sample()

Method Detail

### getBytes

    public int getBytes()

### getAverage

    public long getAverage()

  Returns:
    Returns the average.

### getCount

    public long getCount()

  Returns:
    Returns the count.

### getData

    public long getData()

  Returns:
    Returns the data (usually elapsed time)

### getDeviation

    public long getDeviation()

  Returns:
    Returns the deviation.

### getDistributionLine

    public long getDistributionLine()

  Returns:
    Returns the distributionLine.

### isSuccess

    public boolean isSuccess()

  Returns:
    Returns the error.

### getErrorCount

    public long getErrorCount()

  Returns:
    Returns the errorRate.

### getLabel

    public String getLabel()

  Returns:
    Returns the label.

### getThreadName

    public String getThreadName()

  Returns:
    Returns the threadName.

### getMedian

    public long getMedian()

  Returns:
    Returns the median.

### getThroughput

    public double getThroughput()

  Returns:
    Returns the throughput.

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

### getEndTime

    public long getEndTime()

  Returns:
    Returns the endTime.

### getStartTime

    public long getStartTime()

  Returns:
    Returns the (calculated) startTime, assuming Data is the elapsed time.

### getStartTimeFormatted

    public String getStartTimeFormatted(Format format)

  Returns:
    the start time using the specified format Intended for use from Functors

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.